<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\CampaignContext;

class CampaignController extends Controller
{
    public function campaignProducts($categoryId, $brandId)
    {
        $campaignsProducts = CampaignContext::with('campaign')->byCategoryAndBrand($categoryId, $brandId)->with('products.images')->get();
        return response()->json(['success' => true, 'message' => 'Campaign Products', 'data' => $campaignsProducts]);
    }
}
