<?php

namespace App\Services\Order;

use App\Repositories\Order\OrderRepositoryImpl;

class OrderServiceImpl implements OrderService
{
    protected OrderRepositoryImpl $orderRepositoryImpl;

    public function __construct(OrderRepositoryImpl $orderRepositoryImpl)
    {
        $this->orderRepositoryImpl = $orderRepositoryImpl;
    }

    public function createOrder(array $data)
    {
        $order = $this->orderRepositoryImpl->createOrder($data);

        return $order;
    }

    public function getUserOrders($paginate)
    {
       $orders = $this->orderRepositoryImpl->getUserOrders($paginate);

       return $orders;
    }
}
