<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class CampaignSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('campaigns')->truncate();
        $campaigns = [
            'For You',
            'Latest Products',
            'Most Popular',
            'Products Restocked',
        ];

        foreach ($campaigns as $campaign) {
            DB::table('campaigns')->insert([
                'name' => $campaign,
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
